apt-get(8)

NAME
apt-get - APT package handling utility — command-line interface

SYNOPSIS
apt-get [options] [command] [package ...]

DESCRIPTION
apt-get is the command-line tool for handling packages, and may be considered the user's "back-end" to apt(8). Use apt(8) if the usage of apt-get does not seem intuitive.

command is one of
    update
    upgrade
    dselect-upgrade
    dist-upgrade
    install
    check
    clean

Unless one of the -h, --help, -f, or --fix-broken options is given, one of the above commands must be present. Only the install command requires any further arguments.

  update
update is used to resynchronize the package overview files from their sources. The overviews of available packages are fetched from the location(s) specified in /etc/apt/sources.list. For example, when using a Debian archive, this command retrieves and scans the Packages.gz files, so that information about new and updated packages is available. An update should always be performed before an upgrade or dist-upgrade.

  upgrade
upgrade is used to install the newest versions of all packages currently installed on the system from the sources enumerated in /etc/apt/sources.list. Packages currently installed with new versions available are retrieved and upgraded; under no circumstances are currently installed packages removed, or packages not already installed retrieved and installed. New versions of currently installed packages that cannot be upgraded without changing the install status of another package will be left at their current version. An update must be performed first so that apt-get knows that new versions of packages are available.

  dselect-upgrade
dselect-upgrade is used in conjunction with the traditional Debian GNU/Linux packaging front-end, dselect(8). dselect-upgrade follows the changes made by dselect to the Status field of available packages, and performs the actions necessary to realize that state (for instance, the removal of old and the installation of new packages). dselect-upgrade does not attempt to intelligently address dependency issues as dist-upgrade or install do. If any dependency problems arise, apt-get aborts without performing any of the actions requested, even those without problems. dselect-upgrade is only useful to users of dselect and the .deb package file format. The /etc/apt/sources.list file contains a list of locations from which to retrieve desired package files.

  dist-upgrade
dist-upgrade, in addition to performing the function of upgrade, also intelligently handles changing dependencies with new versions of packages; apt-get has a "smart" conflict resolution system, and it will attempt to upgrade the most important packages at the expense of less important ones if necessary. The /etc/apt/sources.list file contains a list of locations from which to retrieve desired package files.

  install
install is followed by one or more packages desired for installation. Each package is a package name, not a fully qualified filename (for instance, in a Debian GNU/Linux system, lsdo would be the argument provided, not ldso_1.9.6-2.deb). All packages required by the package(s) specified for installation will also be retrieved and installed. The /etc/apt/sources.list file is used to locate the desired packages. If a hyphen is appended to the package name (with no intervening space), the identified package will be removed if it is installed. This latter feature may be used to override decisions made by apt-get's conflict resolution system.

  check
check is a diagnostic tool; it updates the package cache and checks for broken packages.

  clean
clean clears out the local repository of retrieved package files. It removes everything but the lock file from /var/cache/apt/archives/ and /var/cache/apt/archives/partial/. When APT is used as a dselect(8) method, clean is run automatically. Those who do not use dselect will likely want to run apt-get clean from time to time to free up disk space.

OPTIONS

-d, --download-only
    Download only; package files are only retrieved, not unpacked or installed.

-f, --fix-broken
    Fix; attempt to correct a system with broken dependencies in place. This option may be used alone or in conjunction with any of the command actions, and is sometimes necessary when running APT for the first time; APT itself does not allow broken package dependencies to exist on a system. It is possible that a system's dependency structure can be so corrupt as to require manual intervention (which usually means using dselect or dpkg --remove to eliminate some of the offending packages). Use of this option together with -m is discouraged.

-h, --help
    Help; display a helpful usage message and exit.

-m, --ignore-missing
    Ignore missing packages; If packages cannot be retrieved or fail the integrity check after retrieval (corrupted package files), hold back those packages and handle the result. Use of this option together with -f is discouraged.

-q, --silent
    Quiet; produces output suitable for logging, omitting progress indicators.

-qq Very quiet; no output except for errors.

-s, --simulate, --just-print, --dry-run, --recon , --no-act
    No action; perform a simulation of events that would occur but do not actually change the system.

-y, --yes, --assume-yes
    Automatic yes to prompts; assume "yes" as answer to all prompts and run non-interactively.

FILES

/etc/apt/sources.list
    see sources.list(5)

/var/cache/apt/archives/
    storage area for retrieved package files

/var/cache/apt/archives/partial/
    storage area for package files in transit

/var/state/apt/lists/
    storage area for state information for each package resource specified in /etc/apt/sources.list

/var/state/apt/lists/partial/
    storage area for state information in transit

SEE ALSO
apt(8), apt-cache(8), dpkg(8), dselect(8), sources.list(5)

DIAGNOSTICS
apt-get returns zero on normal operation, decimal 100 on error.

BUGS
See <http://www.debian.org/Bugs/db/pa/lapt.html>. If you wish to report a bug in apt-get, please see /usr/doc/debian/bug-reporting.txt or the bug(1) command.

AUTHOR
apt-get was written by the APT team <apt@packages.debian.org>.